r1400 + change GPL version from >= 2 to == 2